import request from "@/utils/httpRequest";
import { PSI_MANAGEMANT as prefix } from "../AppPath";

export default class DishRoomService {
	list(param) {
		return request({
			url: prefix + "/psi/dishRoom/list",
			method: "get",
			params: param,
		});
	}
	save(param) {
		return request({
			url: prefix + "/psi/dishRoom/save",
			method: "post",
			data: param,
		});
	}
	findById(id) {
		return request({
			url: prefix + "/psi/dishRoom/findById",
			method: "get",
			params: { id: id },
		});
	}
	delete(ids) {
		return request({
			url: prefix + "/psi/dishRoom/delete",
			method: "delete",
			params: { ids: ids },
		});
	}
	changeStatus(id, status) {
		return request({
			url: prefix + "/psi/dishRoom/changeStatus",
			method: "get",
			params: { id: id, status: status },
		});
	}
}
